<?php

namespace FiloBlu\Storelocator\Block\Adminhtml\Stores\Google;

/**
 * Abstract items renderer
 * @SuppressWarnings(PHPMD.CouplingBetweenObjects)
 */
class GenerateJsonGmb extends \Magento\Backend\Block\Template {

    protected $directory_list;
    protected $request;
    protected $_googleApi;
    protected $_storesFactory;

    public function __construct(
    \Magento\Backend\Block\Template\Context $context, array $data = [], \Magento\Framework\App\Filesystem\DirectoryList $directory_list, \Magento\Framework\App\Request\Http $request, \FiloBlu\Storelocator\Model\Google\Api $googleApi, \FiloBlu\Storelocator\Model\StoresFactory $storesFactory
    ) {
        $this->directory_list = $directory_list;
        $this->request = $request;
        $this->_googleApi = $googleApi;
        $this->_storesFactory = $storesFactory;

        parent::__construct($context, $data);
    }

    public function getGeneratedJson() {
        return json_encode($this->_googleApi->getLocationObj($this->_storesFactory->create()->load($this->request->getParam("store_id"))));
    }

}
